Generate KYB verification link
curl --request GET \
--url https://grid.squads.xyz/api/compliance/v1/entities/{id}/kyb-link \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/compliance/v1/entities/{id}/kyb-link"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/compliance/v1/entities/{id}/kyb-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"applicant_id": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}compliance
Generate KYB verification link
Generates a Sumsub WebSDK verification link for the entity. The link expires after 30 days. An optional redirect URL can be provided for post-completion navigation.
GET
/
api
/
compliance
/
v1
/
entities
/
{id}
/
kyb-link
Generate KYB verification link
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Entity ID
Query Parameters
URL to redirect after KYB completion
Was this page helpful?
⌘I